using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;
using NewRock.Sdk.Control.Request.Base;
using NewRock.Sdk.Events.Base;

namespace NewRock.Sdk.Events
{
    [XmlRoot("Event")]
    public class AlertEvent: NewRockEvent
    {
        [XmlElement("ext")]
        public List<Ext> Ext { get; set; }

        [XmlElement("visitor")]
        public BaseVisitor? Visitor { get; set; }

        [XmlElement("outer")]
        public BaseOuter? Outer { get; set; }
    }
}
